var originalLoadWorkflowTab = CQ.wcm.Sidekick.prototype.loadWorkflowTab;
CQ.Ext.override(CQ.wcm.Sidekick, {

    loadWorkflowTab: function () {
        originalLoadWorkflowTab.apply(this, arguments);

        var sidekick = this;

        CQ.Ext.Ajax.request({
            url: '/content/smartling/jcr:content/sidekick.infinity.json',
            method: 'GET',
            async: false,
            success: function(response) {
                var config = CQ.Ext.util.JSON.decode(response.responseText);
                var translationPanel = SMARTLING.ui.sidekick.SmartlingTranslationPanel(sidekick, config);

                var workflowPanel = sidekick.panels[CQ.wcm.Sidekick.WORKFLOW];
                var accordion = workflowPanel.items.get(0);
                accordion.items.removeAt(1);
                accordion.add(translationPanel);
                accordion.doLayout();
            }
        });
    }
});