<%@ taglib prefix="cq" uri="http://www.day.com/taglibs/cq/1.0" %>
<%@include file="../../../../libs/foundation/global.jsp" %>
<style>
    div {
        width: auto;
        margin-bottom: 2px;
    }

    .title {
        font-weight: bold;
        display: inline-block;
        width: 250px;
        border: 1px solid gray;
        border-radius: 3px;
        padding: 1px;
        text-align: center;
    }

    .value {
        width: 400px;
        display: inline-block;
        border: 1px solid gray;
        border-radius: 3px;
        padding: 1px;
    }

    #box-table-a {
        font-family: "Lucida Sans Unicode", "Lucida Grande", Sans-Serif;
        font-size: 12px;
        margin: 45px;
        width: 320px;
        text-align: left;
        border-collapse: collapse;
    }

    #box-table-a th {
        font-size: 13px;
        font-weight: normal;
        padding: 8px;
        background: #b9c9fe;
        border-top: 4px solid #aabcfe;
        border-bottom: 1px solid #fff;
        color: #039;
    }

    #box-table-a td {
        padding: 8px;
        background: #e8edff;
        border-bottom: 1px solid #fff;
        color: #669;
        border-top: 1px solid transparent;
    }

    #ver-minimalist {
        font-family: "Lucida Sans Unicode", "Lucida Grande", Sans-Serif;
        font-size: 12px;
        margin: 45px;
        width: 580px;
        text-align: left;
        border-collapse: collapse;
    }

    #ver-minimalist th {
        padding: 8px 2px;
        font-weight: normal;
        font-size: 14px;
        color: #039;
    }

    <%
      boolean isPropertyForAsset = properties.get("isPropertyForAsset",false);
    %>

</style>
<div class="fieldConfig" style="border:1px solid #d3d3d3;padding-left:10px;border-radius: 3px;background-color: white;">

    <table id="ver-minimalist" summary="">
        <thead>
        <tr>
            <%
                if (isPropertyForAsset) {
            %>
            <th scope="col">Resource Type:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Digital Asset Properties</th>
            <%
            } else {
            %>
            <th scope="col">Resource Type:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<%= properties.get("resourceType", "")%>
            </th>
            <% } %>
        </tr>
        </thead>
        <tbody>
        </tbody>
    </table>
    <table id="box-table-a" summary="Properties">
        <thead>
        <tr>
            <th scope="col">Properties</th>
        </tr>
        </thead>
        <tbody>
        <%
            String[] options = (String[]) properties.get("options", String[].class);
            if (options != null) {
                for (String option : options) {
        %>
        <tr>
            <td><%=option%>
            </td>
        </tr>
        <%
                }
            }
        %>
        </tbody>
    </table>
</div>
    